﻿var COMMON_TwitchAppID = "TwitchPlayer";
var COMMON_JustinAppID = "JustinPlayer";
var COMMON_FilmonAppID = "LiveChannels";

var COMMON_EnableDebug = true;

function COMMON_IsEmptyString(val) 
{
    if (val==null || val.length==0)
        return true;
    else
        return false;
}
function COMMON_GetString(val)
{
    if (val == null || val==undefined)
        return "";
    else
        return val.toString();
}
function COMMON_WriteDebugMessage(manager,message)
{
    if (COMMON_EnableDebug == false)
        return;

    manager.WriteDebugMessage(message);
}
function COMMON_ThreadSleep(manager,ms)
{
    try
    {
        manager.ThreadSleep(ms);
    }
    catch (err)
    {
        COMMON_SleepJS(ms);
    }
}
function COMMON_SleepJS(milliseconds)
{
    var start = new Date().getTime();
    for (var i = 0; i < 1e7; i++)
    {
        if ((new Date().getTime() - start) > milliseconds)
        {
            break;
        }
    }
}

function COMMON_GetParentNodeOfType(manager,node, type)
{
    do
    {
        COMMON_WriteDebugMessage(manager, node.OriginalName);
        if (node.OriginalName == type)
            return node;

        node = node.GetParentNode();
        if (node == null || node == undefined)
            return null;

    }
    while (true);
}
function COMMON_ComposeDownloadUrl(manager, fileName, title, hostName)
{
    return manager.ComposeDownloadUrl(fileName, title, hostName);
}