﻿// do not use continue, it doesn't work

function CommonProvider_ProviderScan(manager, hostUrl, referrer)
{
    var pageContent;

    manager.SetDefaultGetRequestHeaders(referrer);
    pageContent = manager.DownloadString(hostUrl);
    if (COMMON_IsEmptyString(pageContent))
    {
        manager.SetFLVSourceInfoError("JS- Can't get player content using common provider");
        return false;
    }

    if (CommonProvider_GetFlashvarsMethod(manager, pageContent, hostUrl, referrer) == true)
    {
        return true;
    }

    if (CommonProvider_GetDirectMethod(manager, pageContent, hostUrl, referrer) == true)
    {
        return true;
    }

    return false;
}

function CommonProvider_GetDirectMethod(manager, pageContent, hostUrl, referrer)
{
    var listLength, node, cntr,finalUrl;

    manager.Parser.PrepareContent(pageContent, true, false);

    listLength = manager.Parser.FindListAndSave("a:href::!");
    if (listLength == 0)
    {
        manager.SetFLVSourceInfoError("JS- Can't get url using direct method, list length=0");
        return false;
    }

    for (cntr = 0; cntr < listLength; cntr++)
    {
        node = manager.Parser.GetSavedNodeByIndex(cntr);
        if (node != null)
        {
            if (node.HasValidAttribute("href"))
            {
                finalUrl=node.GetAttributeValue("href");
                finalUrl = manager.DecodeHtml(finalUrl);

                if (manager.TextHelper.ContainText(finalUrl, ".flv"))
                {
                    manager.SetFLVSourceInfo(finalUrl);
                    return true;
                }
            }
        }
    }

    return false;
}
function CommonProvider_GetFlashvarsMethod(manager, pageContent, hostUrl, referrer)
{
    var domain, fileID, fileKey, swfUrl, downloadUrl, refUrl, finalUrl;

    if (manager.TextHelper.ContainText(pageContent, "flashvars") == false)
        return false;

    domain = manager.TextHelper.ExtractInBetweenWithBase(pageContent, "flashvars.domain", '"', '"');
    domain = manager.DecodeHtml(domain);

    file = manager.TextHelper.ExtractInBetweenWithBase(pageContent, "flashvars.file", '"', '"');
    file = manager.DecodeHtml(file);

    fileKey = manager.TextHelper.ExtractInBetweenWithBase(pageContent, "flashvars.filekey", '"', '"');
    fileKey = manager.DecodeHtml(fileKey);

    swfUrl = manager.TextHelper.ExtractInBetweenWithBase(pageContent, "swfobject.embedSWF", '"', '"');
    swfUrl = manager.DecodeHtml(swfUrl);

    if (COMMON_IsEmptyString(domain))
        domain = hostUrl;

    downloadUrl = manager.ConcatenateUrl(domain, "/api/player.api.php");
    downloadUrl += "?user=undefined&key=" + fileKey;
    downloadUrl += "&codes=1&pass=undefined&file=" + file;

    refUrl = manager.GetHostNameWithSchema(hostUrl);
    refUrl = manager.ConcatenateUrl(refUrl, swfUrl);
    refUrl = manager.ConcatenateUrl(refUrl, "[[DYNAMIC]]/3");

    manager.SetDefaultGetRequestHeaders(refUrl);
    pageContent = manager.DownloadString(downloadUrl);
    if (COMMON_IsEmptyString(pageContent)) {
        manager.SetFLVSourceInfoError("JS- Can't get player content - 2");
        return false;
    }

    finalUrl = manager.TextHelper.ExtractInBetweenWithBase(pageContent, "url", "=", "&");
    if (COMMON_IsEmptyString(finalUrl)) {
        manager.SetFLVSourceInfoError("JS- Can't get final url");
        return false;
    }

    finalUrl = manager.DecodeHtml(finalUrl);
    manager.SetFLVSourceInfo(finalUrl);

    return true;
}