﻿// do not use continue, it doesn't work

var SavedChannelsInfoKeyName = "FilmonChannels";
var GenericFilmon_Channels = null;

function GenericFilmon_GetCategoryLinks(manager, parentItem, startIndex, userName, userPassword, extraParms)
{
    if (parentItem == "BrowseByCategory")
    {
        return GenericFilmon_GetCategoryLinksForBrowseCategory(manager, parentItem, startIndex, userName, userPassword, extraParms);
    }
        
    if (parentItem == "BrowseByChannel")
    {
        return GenericFilmon_GetCategoryLinksForBrowseChannels(manager, parentItem, startIndex, userName, userPassword, extraParms);
    }

    // otherwise, get channels of the category
    return GenericFilmon_GetCategoryLinksForCategoryChannels(manager, parentItem, startIndex, userName, userPassword, extraParms);
}
function GenericFilmon_GetCategoryLinksForBrowseCategory(manager, parentItem, startIndex, userName, userPassword, extraParms)
{
    var cntr, list, isLeaf, name, imageUrl, viewers, channelOwner, channelUrl, longName, channelGame, channelOverlayImage;

    list = new Array();

    COMMON_WriteDebugMessage(manager, "Getting categories");

    // ensure content is loaded
    GenericFilmon_SaveChannelsInfo(manager, userName, userPassword, extraParms);
    if (GenericFilmon_Channels == null || GenericFilmon_Channels.length == 0)
    {
        COMMON_WriteDebugMessage(manager, "Empty categories");

        list.push("" + "<$>" + "0");
        return list;
    }
    
    isLeaf = "0";
    for (cntr = 0; cntr < GenericFilmon_Channels.length; cntr++)
    {
        name = COMMON_GetString(GenericFilmon_Channels[cntr].Name);
        imageUrl = COMMON_GetString(GenericFilmon_Channels[cntr].Image);
        viewers = 0;

        channelOwner = "";
        channelUrl = "";
        longName = "";
        channelGame = "";
        channelOverlayImage = "";

        list.push(name + "<$>" + viewers.toString() + "<$>" + imageUrl + "<$>" +
            channelOwner + "<$>" + channelUrl + "<$>" + longName + "<$>" +
            channelGame + "<$>" + channelOverlayImage + "<$>" + isLeaf +
            "<$>" + "<$>" + "<$>" + "<$>" + "120"+"<$>"+"80");      //SubCategory, IsMature,VideoCodec,ImageWidth, Height
    }

    list.push("" + "<$>" + "0");

    return list;
}
function GenericFilmon_GetCategoryLinksForCategoryChannels(manager, parentItem, startIndex, userName, userPassword, extraParms)
{
    var list, cntr, chCntr, categoryName, name, imageUrl, viewers, isLeaf, channelOwner, channelUrl, longName, channelGame, channelOverlayImage;

    list = new Array();

    COMMON_WriteDebugMessage(manager, "Getting channels");

    // ensure content is loaded
    GenericFilmon_SaveChannelsInfo(manager, userName, userPassword, extraParms);
    if (GenericFilmon_Channels == null || GenericFilmon_Channels.length == 0)
    {
        COMMON_WriteDebugMessage(manager, "Empty channels");

        list.push("" + "<$>" + "0");
        return list;
    }

    isLeaf = "1";

    for (cntr = 0; cntr < GenericFilmon_Channels.length; cntr++)
    {
        categoryName = COMMON_GetString(GenericFilmon_Channels[cntr].Name);
        
        if (categoryName == parentItem)
        {
            for (chCntr = 0; chCntr < GenericFilmon_Channels[cntr].Channels.length; chCntr++)
            {
                name = COMMON_GetString(GenericFilmon_Channels[cntr].Channels[chCntr].Name);
                imageUrl = COMMON_GetString(GenericFilmon_Channels[cntr].Channels[chCntr].Image);
                viewers = 0;

                channelOwner = "";
                channelUrl = COMMON_GetString(GenericFilmon_Channels[cntr].Channels[chCntr].ID);
                longName = name;

                channelGame = categoryName;
                channelOverlayImage = "";

                list.push(name + "<$>" + viewers.toString() + "<$>" + imageUrl + "<$>" +
                    channelOwner + "<$>" + channelUrl + "<$>" + longName + "<$>" +
                    channelGame + "<$>" + channelOverlayImage + "<$>" + isLeaf+
                    "<$>" + "<$>" + "<$>" + "<$>" + "120" + "<$>" + "80");      //SubCategory, IsMature,VideoCodec,ImageWidth, Height
            }

        }
    }

    list.push("" + "<$>" + "0");

    return list;
}

function GenericFilmon_SaveChannelsInfo(manager, userName, userPassword, extraParms)
{
    var url, content, jsonData, baseNode, nodesList, cntr, chCntr, node, groupName, groupImage, listLength, chID, chName, chImage;
    var groupObj, channelObj;

    if (GenericFilmon_Channels != null)
        return;

    url = "http://www.filmon.com/tv/htmlmain";

    COMMON_WriteDebugMessage(manager, "Getting content from " + url);

    manager.SetDefaultGetRequestHeaders("");
    content = manager.DownloadString(url);
    if (COMMON_IsEmptyString(content) == true)
    {
        COMMON_WriteDebugMessage(manager, "Empty content");
        return;
    }

    manager.Parser.PrepareContent(content, true, false);
    manager.Parser.ResetLastNode();

    baseNode = manager.Parser.FindFirst("div:id:channels_ul:=");
    if (baseNode == null)
    {
        COMMON_WriteDebugMessage(manager, "Can't get base node");
        return;
    }

    nodesList = baseNode.GetChildren();
    if (nodesList == null || nodesList.length == 0)
        return;

    GenericFilmon_Channels = new Array();

    groupObj = null;

    for (cntr = 0; cntr < nodesList.length; cntr++)
    {
        if (nodesList[cntr].Name == "div")
        {
            // group
            groupName = "";
            groupImage = "";

            manager.Parser.SetLastNode(nodesList[cntr]);
            node = manager.Parser.FindFirst("img:src::!");
            if (node != null)
                groupImage = node.GetAttributeValue("src");

            manager.Parser.SetLastNode(nodesList[cntr]);
            node = manager.Parser.FindFirst("strong:::");
            if (node != null)
                groupName = node.InnerText;

            if (COMMON_IsEmptyString(groupImage) == false)
            {
                groupImage = manager.EnsureUrlStartWith(groupImage, "http", "http://www.filmon.com/");
                groupImage = manager.DecodeHtml(groupImage);
            }

            if (COMMON_IsEmptyString(groupName) == false)
            {
                groupName = manager.DecodeHtml(groupName);
                groupName = manager.TextHelper.Trim(groupName);
                //groupName = manager.TextHelper.ReplaceText(groupName, "&", "and");
            }

            groupObj = new Object();
            groupObj.Name = groupName;
            groupObj.Image = groupImage;
            groupObj.Channels = new Array();

            GenericFilmon_Channels.push(groupObj);
        }

        if (nodesList[cntr].Name == "ul")
        {
            // group channels
            manager.Parser.SetLastNode(nodesList[cntr]);

            listLength = manager.Parser.FindListAndSave("li:class:channel:!");
            if (listLength == 0)
                return;

            for (chCntr = 0; chCntr < listLength; chCntr++)
            {
                chID = "";
                chImage = "";
                chName = "";

                node = manager.Parser.GetSavedNodeByIndex(chCntr);
                if (node != null)
                {
                    chID = node.GetAttributeValue("channel_id");

                    manager.Parser.SetLastNodeByIndex(chCntr);
                    node = manager.Parser.FindFirst("img:alt::!");
                    if (node != null)
                    {
                        chImage = node.GetAttributeValue("alt");
                    }

                    manager.Parser.SetLastNodeByIndex(chCntr);
                    node = manager.Parser.FindFirst("strong:::");
                    if (node != null)
                    {
                        node = manager.Parser.FindFirst("a:::");
                        if (node != null)
                            chName = node.InnerText;
                    }

                    if (COMMON_IsEmptyString(chImage) == false)
                    {
                        chImage = manager.EnsureUrlStartWith(chImage, "http", "http://www.filmon.com/");
                        chImage = manager.DecodeHtml(chImage);
                    }

                    if (COMMON_IsEmptyString(chName) == false)
                    {
                        chName = manager.DecodeHtml(chName);
                        chName = manager.TextHelper.Trim(chName);
                       // chName = manager.TextHelper.ReplaceText(chName, "&", "and");
                    }

                    channelObj = new Object();
                    channelObj.ID = chID;
                    channelObj.Name = chName;
                    channelObj.Image = chImage;

                    if (groupObj != null)
                    {
                        groupObj.Channels.push(channelObj);
                    }
                }

            }
        }
    }

}

function GenericFilmon_GetPlayLinks(manager, pageUrl, userName, userPassword, extraParms)
{
    var list, link, content;

    list = new Array();

    if (manager.HasCookies("www.filmon.com") == false)
    {
        COMMON_WriteDebugMessage(manager, "Getting cookies");

        manager.SetDefaultGetRequestHeaders("");
        content = manager.DownloadString("http://www.filmon.com/");
    }

    COMMON_WriteDebugMessage(manager, "Getting links for channel ID " + pageUrl);

    link = GenericFilmon_GetPlayLinkWithQuality(manager, pageUrl, "low", "1", userName, userPassword, extraParms);
    if (COMMON_IsEmptyString(link) == false)
    {
        list.push(link);
    }
    else
    {
        COMMON_WriteDebugMessage(manager, "Got empty low link");
    }

    link = GenericFilmon_GetPlayLinkWithQuality(manager, pageUrl, "high", "2", userName, userPassword, extraParms);
    if (COMMON_IsEmptyString(link) == false)
    {
        list.push(link);
    }
    else
    {
        COMMON_WriteDebugMessage(manager, "Got empty high link");
    }

    return list;
}
function GenericFilmon_GetPlayLinkWithQuality(manager, channelID, quality,bitRate, userName, userPassword, extraParms)
{
    var swfLink, pageContent, parsed;
    var streamName, rtmpLink, playToken, displayName,finalLink;
    var pageUrl;

    swfLink = "http://www.filmon.com/tv/modules/FilmOnTV/files/flashapp/filmon/FilmonPlayerMetro.swf?v=22";
    pageUrl = "http://www.filmon.com/";

    COMMON_WriteDebugMessage(manager, "Getting link for channel ID " + channelID + ", quality=" + quality);

    manager.SetDefaultPostRequestHeaders(""); //(pageUrl + "#ITV1");
    manager.AddRequestHeader("Accept: application/json, text/javascript, */*; q=0.01");
    manager.AddRequestHeader("Content-Type: application/x-www-form-urlencoded; charset=UTF-8");
    manager.AddRequestHeader("X-Requested-With: XMLHttpRequest");
    manager.AddRequestHeader("DNT: 1");
    //manager.AddRequestHeader("User-Agent: Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.2; WOW64; Trident/6.0)");

    pageContent = manager.DownloadStringWithPost("http://www.filmon.com/ajax/getChannelInfo", true,
        "channel_id=" + channelID + "&quality=" + quality);

    if (COMMON_IsEmptyString(pageContent) == true)
    {
        COMMON_WriteDebugMessage(manager, "Got empty post response");
        return null;
    }

    //COMMON_WriteDebugMessage(manager, pageContent);

    parsed = JSON.parse(pageContent);

    streamName = manager.DecodeHtml(parsed[0].streamName);
    rtmpLink = manager.DecodeHtml(parsed[0].serverURL);
    rtmpLink = manager.TextHelper.ReplaceText(rtmpLink, "\/", "/");

    displayName = quality;
    playToken = "";

    finalLink = "";
    if (COMMON_IsEmptyString(rtmpLink) == false)
    {
        finalLink = displayName + "<$>" + rtmpLink + "<$>" + streamName + "<$>" + swfLink + "<$>" + pageUrl + "<$>" + playToken + "<$>" + bitRate;
    }
    else
    {
        COMMON_WriteDebugMessage(manager, "empty rtmpLink ignored");
    }

    return finalLink;
}

function GenericFilmon_GetCategoryLinksForBrowseChannels(manager, parentItem, startIndex, userName, userPassword, extraParms)
{
    var list, url, jsonResult, parsed, cntr, name, imageUrl, viewers, isLeaf, channelOwner, channelUrl, longName, channelGame, channelOverlayImage;
    var maxItems = 24;

    var searchKeywords;

    list = new Array();

    url = "http://api.twitch.tv/kraken/streams?limit=" + maxItems.toString() + "&offset=" + startIndex.toString() + "&on_site=1";
    isLeaf = "1";

    COMMON_WriteDebugMessage(manager, "Getting channels from " + url);

    manager.SetDefaultGetRequestHeaders("");
    //manager.AddRequestHeader("Accept: application/vnd.twitchtv.v" + GenericFilmon_APIVersion.toString() + "+json");

    jsonResult = manager.DownloadString(url);

    if (COMMON_IsEmptyString(jsonResult) == true)
        return list;

    parsed = JSON.parse(jsonResult);

    for (cntr = 0; cntr < parsed.streams.length; cntr++)
    {
        name = manager.DecodeHtml(COMMON_GetString(parsed.streams[cntr].channel.name));
        imageUrl = COMMON_GetString(parsed.streams[cntr].preview.medium);
        viewers = parsed.streams[cntr].viewers;

        channelOwner = manager.DecodeHtml(COMMON_GetString(parsed.streams[cntr].channel.display_name));
        channelUrl = COMMON_GetString(parsed.streams[cntr].channel.url);
        longName = COMMON_GetString(parsed.streams[cntr].channel.status);

        channelGame = manager.DecodeHtml(COMMON_GetString(parsed.streams[cntr].game));
        channelOverlayImage = "http://static-cdn.jtvnw.net/ttv-boxart/" + manager.EncodeUrl(channelGame) + "-52x72.jpg";

        list.push(name + "<$>" + viewers.toString() + "<$>" + imageUrl + "<$>" +
            channelOwner + "<$>" + channelUrl + "<$>" + longName + "<$>" +
            channelGame + "<$>" + channelOverlayImage + "<$>" + isLeaf);
    }

    if (parsed.streams.length >= maxItems)
        list.push(parsed._links.next + "<$>" + "1");
    else
        list.push("" + "<$>" + "0");


    return list;
}
function GenericFilmon_GetCategoryLinksForSearchChannels(manager, parentItem, startIndex, userName, userPassword, extraParms)
{
    var list, url, jsonResult, parsed, cntr, name, imageUrl, viewers, isLeaf, channelOwner, channelUrl, longName, channelGame, channelOverlayImage;
    var maxItems = 24;
    var searchKeywords;

    list = new Array();

    searchKeywords = manager.TextHelper.GetSplitStringElement(parentItem, "?", 1);
    if (COMMON_IsEmptyString(searchKeywords) == true)
    {
        list.push("" + "<$>" + "0");
        return list;
    }

    url = "https://api.twitch.tv/kraken/search/streams?q=" + manager.UrlEncode(searchKeywords) + "&limit=" + maxItems.toString() + "&offset=" + startIndex.toString();
    isLeaf = "1";

    COMMON_WriteDebugMessage(manager, "searching for channels " + url);

    //manager.SetDefaultGetRequestHeaders("");
    //manager.AddRequestHeader("Accept: application/vnd.twitchtv.v" + GenericFilmon_APIVersion.toString() + "+json");
    jsonResult = manager.DownloadHttpsString(url, "");

    if (COMMON_IsEmptyString(jsonResult) == true)
        return list;

    parsed = JSON.parse(jsonResult);

    for (cntr = 0; cntr < parsed.streams.length; cntr++)
    {
        name = manager.DecodeHtml(COMMON_GetString(parsed.streams[cntr].channel.name));
        imageUrl = COMMON_GetString(parsed.streams[cntr].preview.medium);
        viewers = parsed.streams[cntr].viewers;

        channelOwner = manager.DecodeHtml(COMMON_GetString(parsed.streams[cntr].channel.display_name));
        channelUrl = COMMON_GetString(parsed.streams[cntr].channel.url);
        longName = COMMON_GetString(parsed.streams[cntr].channel.status);

        channelGame = manager.DecodeHtml(COMMON_GetString(parsed.streams[cntr].game));
        channelOverlayImage = "http://static-cdn.jtvnw.net/ttv-boxart/" + manager.EncodeUrl(channelGame) + "-52x72.jpg";

        list.push(name + "<$>" + viewers.toString() + "<$>" + imageUrl + "<$>" +
            channelOwner + "<$>" + channelUrl + "<$>" + longName + "<$>" +
            channelGame + "<$>" + channelOverlayImage + "<$>" + isLeaf);
    }

    if (parsed.streams.length >= maxItems)
        list.push(parsed._links.next + "<$>" + "1");
    else
        list.push("" + "<$>" + "0");

    return list;
}



function GenericFilmon_GetFeaturedLinks(manager, userName, userPassword, extraParms)
{
    var list, url, jsonResult, parsed, cntr, name, imageUrl, viewers, isLeaf, channelOwner, channelUrl, longName, channelGame, channelOverlayImage;
    var maxItems = 10;

    list = new Array();

    url = "http://api.twitch.tv/kraken/streams/featured?limit=" + maxItems.toString() + "&on_site=1";
    isLeaf = "1";

    COMMON_WriteDebugMessage(manager, "Getting content from " + url);

    manager.SetDefaultGetRequestHeaders("");
    //manager.AddRequestHeader("Accept: application/vnd.twitchtv.v" + GenericFilmon_APIVersion.toString() + "+json");
    jsonResult = manager.DownloadString(url);

    if (COMMON_IsEmptyString(jsonResult) == true)
        return list;

    //COMMON_WriteDebugMessage(manager, "jsonResult=" + jsonResult);

    parsed = JSON.parse(jsonResult);

    for (cntr = 0; cntr < parsed.featured.length; cntr++)
    {
        name = manager.DecodeHtml(COMMON_GetString(parsed.featured[cntr].stream.channel.name));
        imageUrl = COMMON_GetString(parsed.featured[cntr].stream.preview.medium);
        viewers = parsed.featured[cntr].stream.viewers;

        channelOwner = manager.DecodeHtml(COMMON_GetString(parsed.featured[cntr].stream.channel.display_name));
        channelUrl = COMMON_GetString(parsed.featured[cntr].stream.channel.url);
        longName = COMMON_GetString(parsed.featured[cntr].stream.channel.status);

        channelGame = manager.DecodeHtml(COMMON_GetString(parsed.featured[cntr].stream.game));
        channelOverlayImage = "http://static-cdn.jtvnw.net/ttv-boxart/" + manager.EncodeUrl(channelGame) + "-52x72.jpg";

        list.push(name + "<$>" + viewers.toString() + "<$>" + imageUrl + "<$>" +
            channelOwner + "<$>" + channelUrl + "<$>" + longName + "<$>" +
            channelGame + "<$>" + channelOverlayImage + "<$>" + isLeaf);
    }

    if (parsed.featured.length >= maxItems)
        list.push(parsed._links.next + "<$>" + "1");
    else
        list.push("" + "<$>" + "0");

    return list;
}

